<?php
    User::blockNotWorking();
    if (!$model->Cliente->isAllowed()) {
        User::blockAction('Este cliente não pertence a sua região ou Unidade de Negócios');
    }

    $this->PageTitle = false;

    $nomeCliente  = Util::getNomeImplantacao($model->Cliente->CLI_NOME, $model->Cliente->CLI_IMPLANTACAO);
    $nomeCliente .= Util::getPendencias($model->Cliente, true);

    $this->renderPartial('_menu', array('model' => $model));
?>
<h1>Solicitações de Cancelamento &raquo; <?= $nomeCliente; ?> &raquo; Qualificação de cancelamento imediato</h1>
<div class="form">
    <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'clientes-form',
            'enableAjaxValidation' => false,
            'htmlOptions' => array('class'=>'col-xs-12 form-cadastro inline-addon')
        ));
    ?>
        <?= FaHtml::getFormInfo($form, $model); ?>
        <?php $display = ($model->CLC_APROVACAO === 0) ? "block" : "none"; ?>
        <div class="alert alert-warning" id="msgReprovacao" style="display: <?= $display; ?>">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Atenção!</strong> <br>
            Ao reprovar o cancelamento imediato o termo de cancelamento será gerado com datas de cancelamento normal.
        </div>

        <div class="row">
            <?php echo $form->labelEx($model, 'CLC_APROVACAO'); ?>
            <?php
                $opcoes = array(
                    0 => 'Reprovado',
                    1 => 'Aprovado',
                );
                echo $form->dropDownList($model, 'CLC_APROVACAO', $opcoes, array('prompt' => 'Selecione'));
            ?>
            <?php echo $form->error($model, 'CLC_APROVACAO'); ?>
        </div>

        <div class="row">
            <?php echo $form->labelEx($model, 'CLC_OBS'); ?>
            <?php echo $form->textArea($model, 'CLC_OBS'); ?>
            <?php echo $form->error($model, 'CLC_OBS'); ?>
        </div>

        <?= FaHtml::saveButton(); ?>
    <?php $this->endWidget(); ?>
</div>
<?php
$cs = Yii::app()->getClientScript();

$css = <<<CSS
    #msgReprovacao {
        padding: 10px;
    }
CSS;
$cs->registerCss(Util::uid(), $css);

$script = <<<JAVASCRIPT
    $(document).ready(function() {
        $("#ClientesCancelamentos_CLC_APROVACAO").on('change', function() {
            if ($(this).val() == 0) {
                $("#msgReprovacao").fadeIn(400);
            } else {
                $("#msgReprovacao").fadeOut(400);
            }
        });
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);
